/*
 * generated by Xtext
 */
package com.mncml.dsl.ui.contentassist.antlr;

import java.util.Collection;
import java.util.Map;
import java.util.HashMap;

import org.antlr.runtime.RecognitionException;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser;
import org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser;

import com.google.inject.Inject;

import com.mncml.dsl.services.MncGrammarAccess;

public class MncParser extends AbstractContentAssistParser {
	
	@Inject
	private MncGrammarAccess grammarAccess;
	
	private Map<AbstractElement, String> nameMappings;
	
	@Override
	protected com.mncml.dsl.ui.contentassist.antlr.internal.InternalMncParser createParser() {
		com.mncml.dsl.ui.contentassist.antlr.internal.InternalMncParser result = new com.mncml.dsl.ui.contentassist.antlr.internal.InternalMncParser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}
	
	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getSystemAccess().getAlternatives(), "rule__System__Alternatives");
					put(grammarAccess.getParameterAccess().getAlternatives(), "rule__Parameter__Alternatives");
					put(grammarAccess.getPrimitiveValueAccess().getAlternatives(), "rule__PrimitiveValue__Alternatives");
					put(grammarAccess.getAbstractInterfaceItemsAccess().getAlternatives(), "rule__AbstractInterfaceItems__Alternatives");
					put(grammarAccess.getEStringAccess().getAlternatives(), "rule__EString__Alternatives");
					put(grammarAccess.getResponseTranslationRuleAccess().getAlternatives(), "rule__ResponseTranslationRule__Alternatives");
					put(grammarAccess.getEBooleanAccess().getAlternatives(), "rule__EBoolean__Alternatives");
					put(grammarAccess.getResponsibleItemListAccess().getAlternatives_1_0_3_0(), "rule__ResponsibleItemList__Alternatives_1_0_3_0");
					put(grammarAccess.getResponsibleItemListAccess().getAlternatives_1_1_3_0(), "rule__ResponsibleItemList__Alternatives_1_1_3_0");
					put(grammarAccess.getResponsibleItemListAccess().getAlternatives_1_2_3_0(), "rule__ResponsibleItemList__Alternatives_1_2_3_0");
					put(grammarAccess.getResponsibleItemListAccess().getAlternatives_1_3_3_0(), "rule__ResponsibleItemList__Alternatives_1_3_3_0");
					put(grammarAccess.getPrimitiveValueTypeAccess().getAlternatives(), "rule__PrimitiveValueType__Alternatives");
					put(grammarAccess.getModelAccess().getGroup(), "rule__Model__Group__0");
					put(grammarAccess.getModelAccess().getGroup_4(), "rule__Model__Group_4__0");
					put(grammarAccess.getImportAccess().getGroup(), "rule__Import__Group__0");
					put(grammarAccess.getQualifiedNameWithWildCardAccess().getGroup(), "rule__QualifiedNameWithWildCard__Group__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup(), "rule__QualifiedName__Group__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup_1(), "rule__QualifiedName__Group_1__0");
					put(grammarAccess.getPrimitiveValueAccess().getGroup_0(), "rule__PrimitiveValue__Group_0__0");
					put(grammarAccess.getPrimitiveValueAccess().getGroup_1(), "rule__PrimitiveValue__Group_1__0");
					put(grammarAccess.getPrimitiveValueAccess().getGroup_2(), "rule__PrimitiveValue__Group_2__0");
					put(grammarAccess.getPrimitiveValueAccess().getGroup_3(), "rule__PrimitiveValue__Group_3__0");
					put(grammarAccess.getControlNodeAccess().getGroup(), "rule__ControlNode__Group__0");
					put(grammarAccess.getControlNodeAccess().getGroup_4(), "rule__ControlNode__Group_4__0");
					put(grammarAccess.getControlNodeAccess().getGroup_4_3(), "rule__ControlNode__Group_4_3__0");
					put(grammarAccess.getControlNodeAccess().getGroup_5(), "rule__ControlNode__Group_5__0");
					put(grammarAccess.getControlNodeAccess().getGroup_6_4(), "rule__ControlNode__Group_6_4__0");
					put(grammarAccess.getInterfaceDescriptionAccess().getGroup(), "rule__InterfaceDescription__Group__0");
					put(grammarAccess.getInterfaceDescriptionAccess().getGroup_3(), "rule__InterfaceDescription__Group_3__0");
					put(grammarAccess.getInterfaceDescriptionAccess().getGroup_3_2(), "rule__InterfaceDescription__Group_3_2__0");
					put(grammarAccess.getCommandResponseBlockUtilityAccess().getGroup(), "rule__CommandResponseBlockUtility__Group__0");
					put(grammarAccess.getEventBlockUtilityAccess().getGroup(), "rule__EventBlockUtility__Group__0");
					put(grammarAccess.getAlarmBlockUtilityAccess().getGroup(), "rule__AlarmBlockUtility__Group__0");
					put(grammarAccess.getDataPointBlockUtilityAccess().getGroup(), "rule__DataPointBlockUtility__Group__0");
					put(grammarAccess.getResponseBlockUtilityAccess().getGroup(), "rule__ResponseBlockUtility__Group__0");
					put(grammarAccess.getResponseBlockAccess().getGroup(), "rule__ResponseBlock__Group__0");
					put(grammarAccess.getResponseBlockAccess().getGroup_4_2(), "rule__ResponseBlock__Group_4_2__0");
					put(grammarAccess.getResponseBlockAccess().getGroup_4_2_3(), "rule__ResponseBlock__Group_4_2_3__0");
					put(grammarAccess.getCommandResponseBlockAccess().getGroup(), "rule__CommandResponseBlock__Group__0");
					put(grammarAccess.getCommandTriggerConditionAccess().getGroup(), "rule__CommandTriggerCondition__Group__0");
					put(grammarAccess.getCommandDistributionUtilityAccess().getGroup(), "rule__CommandDistributionUtility__Group__0");
					put(grammarAccess.getCommandAccess().getGroup(), "rule__Command__Group__0");
					put(grammarAccess.getCommandAccess().getGroup_3(), "rule__Command__Group_3__0");
					put(grammarAccess.getCommandAccess().getGroup_3_1(), "rule__Command__Group_3_1__0");
					put(grammarAccess.getTransitionUtilityAccess().getGroup(), "rule__TransitionUtility__Group__0");
					put(grammarAccess.getEventAccess().getGroup(), "rule__Event__Group__0");
					put(grammarAccess.getEventAccess().getGroup_4(), "rule__Event__Group_4__0");
					put(grammarAccess.getEventAccess().getGroup_4_1(), "rule__Event__Group_4_1__0");
					put(grammarAccess.getCommandDistributionAccess().getGroup(), "rule__CommandDistribution__Group__0");
					put(grammarAccess.getCommandDistributionAccess().getGroup_7(), "rule__CommandDistribution__Group_7__0");
					put(grammarAccess.getResponseTranslationAccess().getGroup(), "rule__ResponseTranslation__Group__0");
					put(grammarAccess.getResponseTranslationRuleAccess().getGroup_0(), "rule__ResponseTranslationRule__Group_0__0");
					put(grammarAccess.getResponseTranslationRuleAccess().getGroup_0_1(), "rule__ResponseTranslationRule__Group_0_1__0");
					put(grammarAccess.getResponseTranslationRuleAccess().getGroup_0_1_3(), "rule__ResponseTranslationRule__Group_0_1_3__0");
					put(grammarAccess.getArrayTypeAccess().getGroup(), "rule__ArrayType__Group__0");
					put(grammarAccess.getArrayTypeAccess().getGroup_5(), "rule__ArrayType__Group_5__0");
					put(grammarAccess.getArrayTypeAccess().getGroup_5_3(), "rule__ArrayType__Group_5_3__0");
					put(grammarAccess.getSimpleTypeAccess().getGroup(), "rule__SimpleType__Group__0");
					put(grammarAccess.getSimpleTypeAccess().getGroup_3(), "rule__SimpleType__Group_3__0");
					put(grammarAccess.getPrimitiveValue_ImplAccess().getGroup(), "rule__PrimitiveValue_Impl__Group__0");
					put(grammarAccess.getEIntAccess().getGroup(), "rule__EInt__Group__0");
					put(grammarAccess.getEFloatAccess().getGroup(), "rule__EFloat__Group__0");
					put(grammarAccess.getCommandValidationAccess().getGroup(), "rule__CommandValidation__Group__0");
					put(grammarAccess.getCheckParameterConditionAccess().getGroup(), "rule__CheckParameterCondition__Group__0");
					put(grammarAccess.getCheckParameterConditionAccess().getGroup_4_0(), "rule__CheckParameterCondition__Group_4_0__0");
					put(grammarAccess.getCheckParameterConditionAccess().getGroup_4_1(), "rule__CheckParameterCondition__Group_4_1__0");
					put(grammarAccess.getCheckParameterConditionAccess().getGroup_4_2(), "rule__CheckParameterCondition__Group_4_2__0");
					put(grammarAccess.getCheckParameterConditionAccess().getGroup_4_2_4(), "rule__CheckParameterCondition__Group_4_2_4__0");
					put(grammarAccess.getOperationAccess().getGroup(), "rule__Operation__Group__0");
					put(grammarAccess.getOperationAccess().getGroup_3(), "rule__Operation__Group_3__0");
					put(grammarAccess.getOperationAccess().getGroup_3_3(), "rule__Operation__Group_3_3__0");
					put(grammarAccess.getOperationAccess().getGroup_4(), "rule__Operation__Group_4__0");
					put(grammarAccess.getOperationAccess().getGroup_4_4(), "rule__Operation__Group_4_4__0");
					put(grammarAccess.getOperationAccess().getGroup_5(), "rule__Operation__Group_5__0");
					put(grammarAccess.getResponseAccess().getGroup(), "rule__Response__Group__0");
					put(grammarAccess.getResponseAccess().getGroup_3(), "rule__Response__Group_3__0");
					put(grammarAccess.getResponseAccess().getGroup_3_1(), "rule__Response__Group_3_1__0");
					put(grammarAccess.getAlarmAccess().getGroup(), "rule__Alarm__Group__0");
					put(grammarAccess.getAlarmAccess().getGroup_4(), "rule__Alarm__Group_4__0");
					put(grammarAccess.getAlarmAccess().getGroup_4_1(), "rule__Alarm__Group_4_1__0");
					put(grammarAccess.getAlarmAccess().getGroup_5(), "rule__Alarm__Group_5__0");
					put(grammarAccess.getAlarmAccess().getGroup_6(), "rule__Alarm__Group_6__0");
					put(grammarAccess.getDataPointAccess().getGroup(), "rule__DataPoint__Group__0");
					put(grammarAccess.getDataPointAccess().getGroup_4(), "rule__DataPoint__Group_4__0");
					put(grammarAccess.getDataPointAccess().getGroup_6(), "rule__DataPoint__Group_6__0");
					put(grammarAccess.getDataPointAccess().getGroup_6_1(), "rule__DataPoint__Group_6_1__0");
					put(grammarAccess.getDataPointValidConditionAccess().getGroup(), "rule__DataPointValidCondition__Group__0");
					put(grammarAccess.getDataPointValidConditionAccess().getGroup_3(), "rule__DataPointValidCondition__Group_3__0");
					put(grammarAccess.getDataPointValidConditionAccess().getGroup_3_4(), "rule__DataPointValidCondition__Group_3_4__0");
					put(grammarAccess.getDataPointValidConditionAccess().getGroup_4(), "rule__DataPointValidCondition__Group_4__0");
					put(grammarAccess.getDataPointValidConditionAccess().getGroup_5(), "rule__DataPointValidCondition__Group_5__0");
					put(grammarAccess.getTransitionAccess().getGroup(), "rule__Transition__Group__0");
					put(grammarAccess.getTransitionAccess().getGroup_2(), "rule__Transition__Group_2__0");
					put(grammarAccess.getTransitionAccess().getGroup_6(), "rule__Transition__Group_6__0");
					put(grammarAccess.getOperatingStateAccess().getGroup(), "rule__OperatingState__Group__0");
					put(grammarAccess.getActionAccess().getGroup(), "rule__Action__Group__0");
					put(grammarAccess.getActionAccess().getGroup_3_0(), "rule__Action__Group_3_0__0");
					put(grammarAccess.getActionAccess().getGroup_3_0_3(), "rule__Action__Group_3_0_3__0");
					put(grammarAccess.getActionAccess().getGroup_3_1(), "rule__Action__Group_3_1__0");
					put(grammarAccess.getActionAccess().getGroup_3_1_3(), "rule__Action__Group_3_1_3__0");
					put(grammarAccess.getActionAccess().getGroup_3_2(), "rule__Action__Group_3_2__0");
					put(grammarAccess.getActionAccess().getGroup_3_2_3(), "rule__Action__Group_3_2_3__0");
					put(grammarAccess.getCommandTranslationAccess().getGroup(), "rule__CommandTranslation__Group__0");
					put(grammarAccess.getCommandTranslationAccess().getGroup_3(), "rule__CommandTranslation__Group_3__0");
					put(grammarAccess.getCommandTranslationAccess().getGroup_3_2(), "rule__CommandTranslation__Group_3_2__0");
					put(grammarAccess.getParameterTranslationAccess().getGroup(), "rule__ParameterTranslation__Group__0");
					put(grammarAccess.getParameterTranslationAccess().getGroup_4(), "rule__ParameterTranslation__Group_4__0");
					put(grammarAccess.getParameterTranslationAccess().getGroup_9(), "rule__ParameterTranslation__Group_9__0");
					put(grammarAccess.getParameterTranslationAccess().getGroup_9_1(), "rule__ParameterTranslation__Group_9_1__0");
					put(grammarAccess.getResponseValidationAccess().getGroup(), "rule__ResponseValidation__Group__0");
					put(grammarAccess.getEventBlockAccess().getGroup(), "rule__EventBlock__Group__0");
					put(grammarAccess.getEventTriggerConditionAccess().getGroup(), "rule__EventTriggerCondition__Group__0");
					put(grammarAccess.getEventHandlingAccess().getGroup(), "rule__EventHandling__Group__0");
					put(grammarAccess.getAlarmBlockAccess().getGroup(), "rule__AlarmBlock__Group__0");
					put(grammarAccess.getAlarmTriggerConditionAccess().getGroup(), "rule__AlarmTriggerCondition__Group__0");
					put(grammarAccess.getAlarmTriggerConditionAccess().getGroup_3(), "rule__AlarmTriggerCondition__Group_3__0");
					put(grammarAccess.getAlarmHandlingAccess().getGroup(), "rule__AlarmHandling__Group__0");
					put(grammarAccess.getDataPointBlockAccess().getGroup(), "rule__DataPointBlock__Group__0");
					put(grammarAccess.getDataPointTriggerConditionAccess().getGroup(), "rule__DataPointTriggerCondition__Group__0");
					put(grammarAccess.getDataPointHandlingAccess().getGroup(), "rule__DataPointHandling__Group__0");
					put(grammarAccess.getAddressAccess().getGroup(), "rule__Address__Group__0");
					put(grammarAccess.getPortAccess().getGroup(), "rule__Port__Group__0");
					put(grammarAccess.getPortAccess().getGroup_3(), "rule__Port__Group_3__0");
					put(grammarAccess.getDataPointUtilityAccess().getGroup(), "rule__DataPointUtility__Group__0");
					put(grammarAccess.getDataPointUtilityAccess().getGroup_3(), "rule__DataPointUtility__Group_3__0");
					put(grammarAccess.getDataPointUtilityAccess().getGroup_3_1(), "rule__DataPointUtility__Group_3_1__0");
					put(grammarAccess.getAlarmUtilityAccess().getGroup(), "rule__AlarmUtility__Group__0");
					put(grammarAccess.getAlarmUtilityAccess().getGroup_3(), "rule__AlarmUtility__Group_3__0");
					put(grammarAccess.getAlarmUtilityAccess().getGroup_3_1(), "rule__AlarmUtility__Group_3_1__0");
					put(grammarAccess.getCommandUtilityAccess().getGroup(), "rule__CommandUtility__Group__0");
					put(grammarAccess.getCommandUtilityAccess().getGroup_3(), "rule__CommandUtility__Group_3__0");
					put(grammarAccess.getCommandUtilityAccess().getGroup_3_1(), "rule__CommandUtility__Group_3_1__0");
					put(grammarAccess.getEventUtilityAccess().getGroup(), "rule__EventUtility__Group__0");
					put(grammarAccess.getEventUtilityAccess().getGroup_3(), "rule__EventUtility__Group_3__0");
					put(grammarAccess.getEventUtilityAccess().getGroup_3_1(), "rule__EventUtility__Group_3_1__0");
					put(grammarAccess.getResponseUtilityAccess().getGroup(), "rule__ResponseUtility__Group__0");
					put(grammarAccess.getResponseUtilityAccess().getGroup_3(), "rule__ResponseUtility__Group_3__0");
					put(grammarAccess.getResponseUtilityAccess().getGroup_3_1(), "rule__ResponseUtility__Group_3_1__0");
					put(grammarAccess.getStateUtilityAccess().getGroup(), "rule__StateUtility__Group__0");
					put(grammarAccess.getStateUtilityAccess().getGroup_3(), "rule__StateUtility__Group_3__0");
					put(grammarAccess.getStateUtilityAccess().getGroup_3_1(), "rule__StateUtility__Group_3_1__0");
					put(grammarAccess.getStateUtilityAccess().getGroup_4(), "rule__StateUtility__Group_4__0");
					put(grammarAccess.getStateUtilityAccess().getGroup_5(), "rule__StateUtility__Group_5__0");
					put(grammarAccess.getSubscribableItemListAccess().getGroup(), "rule__SubscribableItemList__Group__0");
					put(grammarAccess.getSubscribableItemListAccess().getGroup_3(), "rule__SubscribableItemList__Group_3__0");
					put(grammarAccess.getSubscribableItemListAccess().getGroup_3_3(), "rule__SubscribableItemList__Group_3_3__0");
					put(grammarAccess.getSubscribableItemListAccess().getGroup_4(), "rule__SubscribableItemList__Group_4__0");
					put(grammarAccess.getSubscribableItemListAccess().getGroup_4_3(), "rule__SubscribableItemList__Group_4_3__0");
					put(grammarAccess.getSubscribableItemListAccess().getGroup_5(), "rule__SubscribableItemList__Group_5__0");
					put(grammarAccess.getSubscribableItemListAccess().getGroup_5_3(), "rule__SubscribableItemList__Group_5_3__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup(), "rule__ResponsibleItemList__Group__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup_1_0(), "rule__ResponsibleItemList__Group_1_0__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup_1_0_3(), "rule__ResponsibleItemList__Group_1_0_3__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup_1_1(), "rule__ResponsibleItemList__Group_1_1__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup_1_1_3(), "rule__ResponsibleItemList__Group_1_1_3__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup_1_2(), "rule__ResponsibleItemList__Group_1_2__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup_1_2_3(), "rule__ResponsibleItemList__Group_1_2_3__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup_1_3(), "rule__ResponsibleItemList__Group_1_3__0");
					put(grammarAccess.getResponsibleItemListAccess().getGroup_1_3_3(), "rule__ResponsibleItemList__Group_1_3_3__0");
					put(grammarAccess.getModelAccess().getImportSectionAssignment_1(), "rule__Model__ImportSectionAssignment_1");
					put(grammarAccess.getModelAccess().getNameAssignment_3(), "rule__Model__NameAssignment_3");
					put(grammarAccess.getModelAccess().getSystemsAssignment_4_0(), "rule__Model__SystemsAssignment_4_0");
					put(grammarAccess.getModelAccess().getSystemsAssignment_4_1(), "rule__Model__SystemsAssignment_4_1");
					put(grammarAccess.getImportAccess().getImportedNamespaceAssignment_1(), "rule__Import__ImportedNamespaceAssignment_1");
					put(grammarAccess.getPrimitiveValueAccess().getIntValueAssignment_0_1(), "rule__PrimitiveValue__IntValueAssignment_0_1");
					put(grammarAccess.getPrimitiveValueAccess().getFloatValueAssignment_1_1(), "rule__PrimitiveValue__FloatValueAssignment_1_1");
					put(grammarAccess.getPrimitiveValueAccess().getStringValueAssignment_2_1(), "rule__PrimitiveValue__StringValueAssignment_2_1");
					put(grammarAccess.getPrimitiveValueAccess().getBoolValueAssignment_3_1(), "rule__PrimitiveValue__BoolValueAssignment_3_1");
					put(grammarAccess.getControlNodeAccess().getNameAssignment_2(), "rule__ControlNode__NameAssignment_2");
					put(grammarAccess.getControlNodeAccess().getChildNodesAssignment_4_2(), "rule__ControlNode__ChildNodesAssignment_4_2");
					put(grammarAccess.getControlNodeAccess().getChildNodesAssignment_4_3_1(), "rule__ControlNode__ChildNodesAssignment_4_3_1");
					put(grammarAccess.getControlNodeAccess().getParentNodeAssignment_5_1(), "rule__ControlNode__ParentNodeAssignment_5_1");
					put(grammarAccess.getControlNodeAccess().getCommandResponseBlocksAssignment_6_0(), "rule__ControlNode__CommandResponseBlocksAssignment_6_0");
					put(grammarAccess.getControlNodeAccess().getEventBlocksAssignment_6_1(), "rule__ControlNode__EventBlocksAssignment_6_1");
					put(grammarAccess.getControlNodeAccess().getAlarmBlocksAssignment_6_2(), "rule__ControlNode__AlarmBlocksAssignment_6_2");
					put(grammarAccess.getControlNodeAccess().getDataPointBlocksAssignment_6_3(), "rule__ControlNode__DataPointBlocksAssignment_6_3");
					put(grammarAccess.getControlNodeAccess().getInterfaceDescriptionAssignment_6_4_2(), "rule__ControlNode__InterfaceDescriptionAssignment_6_4_2");
					put(grammarAccess.getInterfaceDescriptionAccess().getNameAssignment_2(), "rule__InterfaceDescription__NameAssignment_2");
					put(grammarAccess.getInterfaceDescriptionAccess().getUsesAssignment_3_1(), "rule__InterfaceDescription__UsesAssignment_3_1");
					put(grammarAccess.getInterfaceDescriptionAccess().getUsesAssignment_3_2_1(), "rule__InterfaceDescription__UsesAssignment_3_2_1");
					put(grammarAccess.getInterfaceDescriptionAccess().getPortAssignment_5_0(), "rule__InterfaceDescription__PortAssignment_5_0");
					put(grammarAccess.getInterfaceDescriptionAccess().getDataPointsAssignment_5_1(), "rule__InterfaceDescription__DataPointsAssignment_5_1");
					put(grammarAccess.getInterfaceDescriptionAccess().getAlarmsAssignment_5_2(), "rule__InterfaceDescription__AlarmsAssignment_5_2");
					put(grammarAccess.getInterfaceDescriptionAccess().getCommandsAssignment_5_3(), "rule__InterfaceDescription__CommandsAssignment_5_3");
					put(grammarAccess.getInterfaceDescriptionAccess().getEventsAssignment_5_4(), "rule__InterfaceDescription__EventsAssignment_5_4");
					put(grammarAccess.getInterfaceDescriptionAccess().getResponsesAssignment_5_5(), "rule__InterfaceDescription__ResponsesAssignment_5_5");
					put(grammarAccess.getInterfaceDescriptionAccess().getOperatingStatesAssignment_5_6(), "rule__InterfaceDescription__OperatingStatesAssignment_5_6");
					put(grammarAccess.getInterfaceDescriptionAccess().getSubscribedItemsAssignment_5_7(), "rule__InterfaceDescription__SubscribedItemsAssignment_5_7");
					put(grammarAccess.getInterfaceDescriptionAccess().getIpaddressAssignment_5_8(), "rule__InterfaceDescription__IpaddressAssignment_5_8");
					put(grammarAccess.getCommandResponseBlockUtilityAccess().getCommandResponseBlocksAssignment_3(), "rule__CommandResponseBlockUtility__CommandResponseBlocksAssignment_3");
					put(grammarAccess.getEventBlockUtilityAccess().getEventBlocksAssignment_3(), "rule__EventBlockUtility__EventBlocksAssignment_3");
					put(grammarAccess.getAlarmBlockUtilityAccess().getAlarmBlocksAssignment_3(), "rule__AlarmBlockUtility__AlarmBlocksAssignment_3");
					put(grammarAccess.getDataPointBlockUtilityAccess().getDataPointBlocksAssignment_3(), "rule__DataPointBlockUtility__DataPointBlocksAssignment_3");
					put(grammarAccess.getResponseBlockUtilityAccess().getResponseBlocksAssignment_3(), "rule__ResponseBlockUtility__ResponseBlocksAssignment_3");
					put(grammarAccess.getResponseBlockAccess().getResponseAssignment_2(), "rule__ResponseBlock__ResponseAssignment_2");
					put(grammarAccess.getResponseBlockAccess().getResponseValidationAssignment_4_0(), "rule__ResponseBlock__ResponseValidationAssignment_4_0");
					put(grammarAccess.getResponseBlockAccess().getResponseTranslationAssignment_4_1(), "rule__ResponseBlock__ResponseTranslationAssignment_4_1");
					put(grammarAccess.getResponseBlockAccess().getDestinationNodesAssignment_4_2_2(), "rule__ResponseBlock__DestinationNodesAssignment_4_2_2");
					put(grammarAccess.getResponseBlockAccess().getDestinationNodesAssignment_4_2_3_1(), "rule__ResponseBlock__DestinationNodesAssignment_4_2_3_1");
					put(grammarAccess.getCommandResponseBlockAccess().getCommandAssignment_2(), "rule__CommandResponseBlock__CommandAssignment_2");
					put(grammarAccess.getCommandResponseBlockAccess().getCommandValidationAssignment_4_0(), "rule__CommandResponseBlock__CommandValidationAssignment_4_0");
					put(grammarAccess.getCommandResponseBlockAccess().getTransitionAssignment_4_1(), "rule__CommandResponseBlock__TransitionAssignment_4_1");
					put(grammarAccess.getCommandResponseBlockAccess().getCommandTriggerConditionAssignment_4_2(), "rule__CommandResponseBlock__CommandTriggerConditionAssignment_4_2");
					put(grammarAccess.getCommandResponseBlockAccess().getCommandTranslationAssignment_4_3(), "rule__CommandResponseBlock__CommandTranslationAssignment_4_3");
					put(grammarAccess.getCommandResponseBlockAccess().getCommandDistributionsAssignment_4_4(), "rule__CommandResponseBlock__CommandDistributionsAssignment_4_4");
					put(grammarAccess.getCommandResponseBlockAccess().getResponseBlockAssignment_4_5(), "rule__CommandResponseBlock__ResponseBlockAssignment_4_5");
					put(grammarAccess.getCommandTriggerConditionAccess().getResponsibleItemsAssignment_3(), "rule__CommandTriggerCondition__ResponsibleItemsAssignment_3");
					put(grammarAccess.getCommandTriggerConditionAccess().getOperationAssignment_4(), "rule__CommandTriggerCondition__OperationAssignment_4");
					put(grammarAccess.getCommandDistributionUtilityAccess().getCommandDistributionsAssignment_3(), "rule__CommandDistributionUtility__CommandDistributionsAssignment_3");
					put(grammarAccess.getCommandAccess().getNameAssignment_1(), "rule__Command__NameAssignment_1");
					put(grammarAccess.getCommandAccess().getParametersAssignment_3_0(), "rule__Command__ParametersAssignment_3_0");
					put(grammarAccess.getCommandAccess().getParametersAssignment_3_1_1(), "rule__Command__ParametersAssignment_3_1_1");
					put(grammarAccess.getTransitionUtilityAccess().getTransitionsAssignment_3(), "rule__TransitionUtility__TransitionsAssignment_3");
					put(grammarAccess.getEventAccess().getPublishAssignment_1(), "rule__Event__PublishAssignment_1");
					put(grammarAccess.getEventAccess().getNameAssignment_2(), "rule__Event__NameAssignment_2");
					put(grammarAccess.getEventAccess().getParametersAssignment_4_0(), "rule__Event__ParametersAssignment_4_0");
					put(grammarAccess.getEventAccess().getParametersAssignment_4_1_1(), "rule__Event__ParametersAssignment_4_1_1");
					put(grammarAccess.getCommandDistributionAccess().getCommandAssignment_2(), "rule__CommandDistribution__CommandAssignment_2");
					put(grammarAccess.getCommandDistributionAccess().getDestinationNodesAssignment_6(), "rule__CommandDistribution__DestinationNodesAssignment_6");
					put(grammarAccess.getCommandDistributionAccess().getDestinationNodesAssignment_7_1(), "rule__CommandDistribution__DestinationNodesAssignment_7_1");
					put(grammarAccess.getResponseTranslationAccess().getResponseTranslationRulesAssignment_3(), "rule__ResponseTranslation__ResponseTranslationRulesAssignment_3");
					put(grammarAccess.getResponseTranslationRuleAccess().getInputResponsesAssignment_0_1_2(), "rule__ResponseTranslationRule__InputResponsesAssignment_0_1_2");
					put(grammarAccess.getResponseTranslationRuleAccess().getInputResponsesAssignment_0_1_3_1(), "rule__ResponseTranslationRule__InputResponsesAssignment_0_1_3_1");
					put(grammarAccess.getResponseTranslationRuleAccess().getParameterTranslationsAssignment_0_1_8(), "rule__ResponseTranslationRule__ParameterTranslationsAssignment_0_1_8");
					put(grammarAccess.getResponseTranslationRuleAccess().getOperationAssignment_1(), "rule__ResponseTranslationRule__OperationAssignment_1");
					put(grammarAccess.getArrayTypeAccess().getTypeAssignment_1(), "rule__ArrayType__TypeAssignment_1");
					put(grammarAccess.getArrayTypeAccess().getNameAssignment_4(), "rule__ArrayType__NameAssignment_4");
					put(grammarAccess.getArrayTypeAccess().getValuesAssignment_5_2(), "rule__ArrayType__ValuesAssignment_5_2");
					put(grammarAccess.getArrayTypeAccess().getValuesAssignment_5_3_1(), "rule__ArrayType__ValuesAssignment_5_3_1");
					put(grammarAccess.getSimpleTypeAccess().getTypeAssignment_1(), "rule__SimpleType__TypeAssignment_1");
					put(grammarAccess.getSimpleTypeAccess().getNameAssignment_2(), "rule__SimpleType__NameAssignment_2");
					put(grammarAccess.getSimpleTypeAccess().getValueAssignment_3_1(), "rule__SimpleType__ValueAssignment_3_1");
					put(grammarAccess.getCommandValidationAccess().getValidationRulesAssignment_3(), "rule__CommandValidation__ValidationRulesAssignment_3");
					put(grammarAccess.getCheckParameterConditionAccess().getParameterAssignment_2(), "rule__CheckParameterCondition__ParameterAssignment_2");
					put(grammarAccess.getCheckParameterConditionAccess().getCheckMaxValueAssignment_4_0_2(), "rule__CheckParameterCondition__CheckMaxValueAssignment_4_0_2");
					put(grammarAccess.getCheckParameterConditionAccess().getCheckMinValueAssignment_4_1_2(), "rule__CheckParameterCondition__CheckMinValueAssignment_4_1_2");
					put(grammarAccess.getCheckParameterConditionAccess().getCheckValuesAssignment_4_2_3(), "rule__CheckParameterCondition__CheckValuesAssignment_4_2_3");
					put(grammarAccess.getCheckParameterConditionAccess().getCheckValuesAssignment_4_2_4_1(), "rule__CheckParameterCondition__CheckValuesAssignment_4_2_4_1");
					put(grammarAccess.getOperationAccess().getNameAssignment_2(), "rule__Operation__NameAssignment_2");
					put(grammarAccess.getOperationAccess().getInputParametersAssignment_3_2(), "rule__Operation__InputParametersAssignment_3_2");
					put(grammarAccess.getOperationAccess().getInputParametersAssignment_3_3_1(), "rule__Operation__InputParametersAssignment_3_3_1");
					put(grammarAccess.getOperationAccess().getOutputParametersAssignment_4_3(), "rule__Operation__OutputParametersAssignment_4_3");
					put(grammarAccess.getOperationAccess().getOutputParametersAssignment_4_4_1(), "rule__Operation__OutputParametersAssignment_4_4_1");
					put(grammarAccess.getOperationAccess().getScriptAssignment_5_1(), "rule__Operation__ScriptAssignment_5_1");
					put(grammarAccess.getResponseAccess().getNameAssignment_1(), "rule__Response__NameAssignment_1");
					put(grammarAccess.getResponseAccess().getParametersAssignment_3_0(), "rule__Response__ParametersAssignment_3_0");
					put(grammarAccess.getResponseAccess().getParametersAssignment_3_1_1(), "rule__Response__ParametersAssignment_3_1_1");
					put(grammarAccess.getAlarmAccess().getPublishAssignment_1(), "rule__Alarm__PublishAssignment_1");
					put(grammarAccess.getAlarmAccess().getNameAssignment_2(), "rule__Alarm__NameAssignment_2");
					put(grammarAccess.getAlarmAccess().getParametersAssignment_4_0(), "rule__Alarm__ParametersAssignment_4_0");
					put(grammarAccess.getAlarmAccess().getParametersAssignment_4_1_1(), "rule__Alarm__ParametersAssignment_4_1_1");
					put(grammarAccess.getAlarmAccess().getTypeAssignment_5_2(), "rule__Alarm__TypeAssignment_5_2");
					put(grammarAccess.getAlarmAccess().getLevelAssignment_6_2(), "rule__Alarm__LevelAssignment_6_2");
					put(grammarAccess.getDataPointAccess().getPublishAssignment_1(), "rule__DataPoint__PublishAssignment_1");
					put(grammarAccess.getDataPointAccess().getTypeAssignment_2(), "rule__DataPoint__TypeAssignment_2");
					put(grammarAccess.getDataPointAccess().getNameAssignment_3(), "rule__DataPoint__NameAssignment_3");
					put(grammarAccess.getDataPointAccess().getValueAssignment_4_1(), "rule__DataPoint__ValueAssignment_4_1");
					put(grammarAccess.getDataPointAccess().getParametersAssignment_6_0(), "rule__DataPoint__ParametersAssignment_6_0");
					put(grammarAccess.getDataPointAccess().getParametersAssignment_6_1_1(), "rule__DataPoint__ParametersAssignment_6_1_1");
					put(grammarAccess.getDataPointValidConditionAccess().getCheckValuesAssignment_3_3(), "rule__DataPointValidCondition__CheckValuesAssignment_3_3");
					put(grammarAccess.getDataPointValidConditionAccess().getCheckValuesAssignment_3_4_1(), "rule__DataPointValidCondition__CheckValuesAssignment_3_4_1");
					put(grammarAccess.getDataPointValidConditionAccess().getCheckMaxValueAssignment_4_2(), "rule__DataPointValidCondition__CheckMaxValueAssignment_4_2");
					put(grammarAccess.getDataPointValidConditionAccess().getCheckMinValueAssignment_5_2(), "rule__DataPointValidCondition__CheckMinValueAssignment_5_2");
					put(grammarAccess.getTransitionAccess().getCurrentStateAssignment_1(), "rule__Transition__CurrentStateAssignment_1");
					put(grammarAccess.getTransitionAccess().getExitActionAssignment_2_2(), "rule__Transition__ExitActionAssignment_2_2");
					put(grammarAccess.getTransitionAccess().getNextStateAssignment_5(), "rule__Transition__NextStateAssignment_5");
					put(grammarAccess.getTransitionAccess().getEntryActionAssignment_6_2(), "rule__Transition__EntryActionAssignment_6_2");
					put(grammarAccess.getOperatingStateAccess().getNameAssignment_1(), "rule__OperatingState__NameAssignment_1");
					put(grammarAccess.getOperatingStateAccess().getParametersAssignment_3(), "rule__OperatingState__ParametersAssignment_3");
					put(grammarAccess.getActionAccess().getAlarmAssignment_3_0_2(), "rule__Action__AlarmAssignment_3_0_2");
					put(grammarAccess.getActionAccess().getAlarmAssignment_3_0_3_1(), "rule__Action__AlarmAssignment_3_0_3_1");
					put(grammarAccess.getActionAccess().getCommandAssignment_3_1_2(), "rule__Action__CommandAssignment_3_1_2");
					put(grammarAccess.getActionAccess().getCommandAssignment_3_1_3_1(), "rule__Action__CommandAssignment_3_1_3_1");
					put(grammarAccess.getActionAccess().getEventAssignment_3_2_2(), "rule__Action__EventAssignment_3_2_2");
					put(grammarAccess.getActionAccess().getEventAssignment_3_2_3_1(), "rule__Action__EventAssignment_3_2_3_1");
					put(grammarAccess.getActionAccess().getOperationAssignment_3_3(), "rule__Action__OperationAssignment_3_3");
					put(grammarAccess.getCommandTranslationAccess().getTranslatedCommandsAssignment_3_1(), "rule__CommandTranslation__TranslatedCommandsAssignment_3_1");
					put(grammarAccess.getCommandTranslationAccess().getTranslatedCommandsAssignment_3_2_1(), "rule__CommandTranslation__TranslatedCommandsAssignment_3_2_1");
					put(grammarAccess.getCommandTranslationAccess().getParameterTranslationsAssignment_3_6(), "rule__CommandTranslation__ParameterTranslationsAssignment_3_6");
					put(grammarAccess.getParameterTranslationAccess().getInputParametersAssignment_3(), "rule__ParameterTranslation__InputParametersAssignment_3");
					put(grammarAccess.getParameterTranslationAccess().getInputParametersAssignment_4_1(), "rule__ParameterTranslation__InputParametersAssignment_4_1");
					put(grammarAccess.getParameterTranslationAccess().getTranslatedParametersAssignment_9_0(), "rule__ParameterTranslation__TranslatedParametersAssignment_9_0");
					put(grammarAccess.getParameterTranslationAccess().getTranslatedParametersAssignment_9_1_1(), "rule__ParameterTranslation__TranslatedParametersAssignment_9_1_1");
					put(grammarAccess.getResponseValidationAccess().getValidationRulesAssignment_3(), "rule__ResponseValidation__ValidationRulesAssignment_3");
					put(grammarAccess.getPublishAccess().getNameAssignment(), "rule__Publish__NameAssignment");
					put(grammarAccess.getEventBlockAccess().getEventAssignment_2(), "rule__EventBlock__EventAssignment_2");
					put(grammarAccess.getEventBlockAccess().getEventConditionAssignment_4(), "rule__EventBlock__EventConditionAssignment_4");
					put(grammarAccess.getEventBlockAccess().getEventHandlingAssignment_5(), "rule__EventBlock__EventHandlingAssignment_5");
					put(grammarAccess.getEventTriggerConditionAccess().getResponsibleItemsAssignment_3(), "rule__EventTriggerCondition__ResponsibleItemsAssignment_3");
					put(grammarAccess.getEventTriggerConditionAccess().getOperationAssignment_4(), "rule__EventTriggerCondition__OperationAssignment_4");
					put(grammarAccess.getEventHandlingAccess().getTriggerActionAssignment_3(), "rule__EventHandling__TriggerActionAssignment_3");
					put(grammarAccess.getAlarmBlockAccess().getAlarmAssignment_2(), "rule__AlarmBlock__AlarmAssignment_2");
					put(grammarAccess.getAlarmBlockAccess().getAlarmConditionAssignment_4(), "rule__AlarmBlock__AlarmConditionAssignment_4");
					put(grammarAccess.getAlarmBlockAccess().getAlarmHandlingAssignment_5(), "rule__AlarmBlock__AlarmHandlingAssignment_5");
					put(grammarAccess.getAlarmTriggerConditionAccess().getResponsibleItemsAssignment_3_0(), "rule__AlarmTriggerCondition__ResponsibleItemsAssignment_3_0");
					put(grammarAccess.getAlarmTriggerConditionAccess().getOperationAssignment_3_1(), "rule__AlarmTriggerCondition__OperationAssignment_3_1");
					put(grammarAccess.getAlarmHandlingAccess().getTriggerActionAssignment_3(), "rule__AlarmHandling__TriggerActionAssignment_3");
					put(grammarAccess.getDataPointBlockAccess().getDataPointAssignment_2(), "rule__DataPointBlock__DataPointAssignment_2");
					put(grammarAccess.getDataPointBlockAccess().getDataPointConditionAssignment_4(), "rule__DataPointBlock__DataPointConditionAssignment_4");
					put(grammarAccess.getDataPointBlockAccess().getDataPointHandlingAssignment_5(), "rule__DataPointBlock__DataPointHandlingAssignment_5");
					put(grammarAccess.getDataPointTriggerConditionAccess().getResponsibleItemsAssignment_3(), "rule__DataPointTriggerCondition__ResponsibleItemsAssignment_3");
					put(grammarAccess.getDataPointTriggerConditionAccess().getOperationAssignment_4(), "rule__DataPointTriggerCondition__OperationAssignment_4");
					put(grammarAccess.getDataPointHandlingAccess().getCheckDataPointAssignment_3(), "rule__DataPointHandling__CheckDataPointAssignment_3");
					put(grammarAccess.getDataPointHandlingAccess().getActionAssignment_4(), "rule__DataPointHandling__ActionAssignment_4");
					put(grammarAccess.getAddressAccess().getIpaddressAssignment_3(), "rule__Address__IpaddressAssignment_3");
					put(grammarAccess.getPortAccess().getNameAssignment_2(), "rule__Port__NameAssignment_2");
					put(grammarAccess.getPortAccess().getValueAssignment_3_1(), "rule__Port__ValueAssignment_3_1");
					put(grammarAccess.getDataPointUtilityAccess().getDataPointsAssignment_3_0(), "rule__DataPointUtility__DataPointsAssignment_3_0");
					put(grammarAccess.getDataPointUtilityAccess().getDataPointsAssignment_3_1_1(), "rule__DataPointUtility__DataPointsAssignment_3_1_1");
					put(grammarAccess.getAlarmUtilityAccess().getAlarmsAssignment_3_0(), "rule__AlarmUtility__AlarmsAssignment_3_0");
					put(grammarAccess.getAlarmUtilityAccess().getAlarmsAssignment_3_1_1(), "rule__AlarmUtility__AlarmsAssignment_3_1_1");
					put(grammarAccess.getCommandUtilityAccess().getCommandsAssignment_3_0(), "rule__CommandUtility__CommandsAssignment_3_0");
					put(grammarAccess.getCommandUtilityAccess().getCommandsAssignment_3_1_1(), "rule__CommandUtility__CommandsAssignment_3_1_1");
					put(grammarAccess.getEventUtilityAccess().getEventsAssignment_3_0(), "rule__EventUtility__EventsAssignment_3_0");
					put(grammarAccess.getEventUtilityAccess().getEventsAssignment_3_1_1(), "rule__EventUtility__EventsAssignment_3_1_1");
					put(grammarAccess.getResponseUtilityAccess().getResponsesAssignment_3_0(), "rule__ResponseUtility__ResponsesAssignment_3_0");
					put(grammarAccess.getResponseUtilityAccess().getResponsesAssignment_3_1_1(), "rule__ResponseUtility__ResponsesAssignment_3_1_1");
					put(grammarAccess.getStateUtilityAccess().getOperatingStatesAssignment_3_0(), "rule__StateUtility__OperatingStatesAssignment_3_0");
					put(grammarAccess.getStateUtilityAccess().getOperatingStatesAssignment_3_1_1(), "rule__StateUtility__OperatingStatesAssignment_3_1_1");
					put(grammarAccess.getStateUtilityAccess().getStartStateAssignment_4_2(), "rule__StateUtility__StartStateAssignment_4_2");
					put(grammarAccess.getStateUtilityAccess().getEndStateAssignment_5_2(), "rule__StateUtility__EndStateAssignment_5_2");
					put(grammarAccess.getSubscribableItemListAccess().getSubscribedEventsAssignment_3_2(), "rule__SubscribableItemList__SubscribedEventsAssignment_3_2");
					put(grammarAccess.getSubscribableItemListAccess().getSubscribedEventsAssignment_3_3_1(), "rule__SubscribableItemList__SubscribedEventsAssignment_3_3_1");
					put(grammarAccess.getSubscribableItemListAccess().getSubscribedAlarmsAssignment_4_2(), "rule__SubscribableItemList__SubscribedAlarmsAssignment_4_2");
					put(grammarAccess.getSubscribableItemListAccess().getSubscribedAlarmsAssignment_4_3_1(), "rule__SubscribableItemList__SubscribedAlarmsAssignment_4_3_1");
					put(grammarAccess.getSubscribableItemListAccess().getSubscribedDataPointsAssignment_5_2(), "rule__SubscribableItemList__SubscribedDataPointsAssignment_5_2");
					put(grammarAccess.getSubscribableItemListAccess().getSubscribedDataPointsAssignment_5_3_1(), "rule__SubscribableItemList__SubscribedDataPointsAssignment_5_3_1");
					put(grammarAccess.getResponsibleItemListAccess().getResponsibleCommandsAssignment_1_0_2(), "rule__ResponsibleItemList__ResponsibleCommandsAssignment_1_0_2");
					put(grammarAccess.getResponsibleItemListAccess().getResponsibleCommandsAssignment_1_0_3_1(), "rule__ResponsibleItemList__ResponsibleCommandsAssignment_1_0_3_1");
					put(grammarAccess.getResponsibleItemListAccess().getResponsibleEventsAssignment_1_1_2(), "rule__ResponsibleItemList__ResponsibleEventsAssignment_1_1_2");
					put(grammarAccess.getResponsibleItemListAccess().getResponsibleEventsAssignment_1_1_3_1(), "rule__ResponsibleItemList__ResponsibleEventsAssignment_1_1_3_1");
					put(grammarAccess.getResponsibleItemListAccess().getResponsibleAlarmsAssignment_1_2_2(), "rule__ResponsibleItemList__ResponsibleAlarmsAssignment_1_2_2");
					put(grammarAccess.getResponsibleItemListAccess().getResponsibleAlarmsAssignment_1_2_3_1(), "rule__ResponsibleItemList__ResponsibleAlarmsAssignment_1_2_3_1");
					put(grammarAccess.getResponsibleItemListAccess().getResponsibleDataPointsAssignment_1_3_2(), "rule__ResponsibleItemList__ResponsibleDataPointsAssignment_1_3_2");
					put(grammarAccess.getResponsibleItemListAccess().getResponsibleDataPointsAssignment_1_3_3_1(), "rule__ResponsibleItemList__ResponsibleDataPointsAssignment_1_3_3_1");
					put(grammarAccess.getControlNodeAccess().getUnorderedGroup_6(), "rule__ControlNode__UnorderedGroup_6");
					put(grammarAccess.getInterfaceDescriptionAccess().getUnorderedGroup_5(), "rule__InterfaceDescription__UnorderedGroup_5");
					put(grammarAccess.getResponseBlockAccess().getUnorderedGroup_4(), "rule__ResponseBlock__UnorderedGroup_4");
					put(grammarAccess.getCommandResponseBlockAccess().getUnorderedGroup_4(), "rule__CommandResponseBlock__UnorderedGroup_4");
					put(grammarAccess.getCheckParameterConditionAccess().getUnorderedGroup_4(), "rule__CheckParameterCondition__UnorderedGroup_4");
					put(grammarAccess.getActionAccess().getUnorderedGroup_3(), "rule__Action__UnorderedGroup_3");
					put(grammarAccess.getResponsibleItemListAccess().getUnorderedGroup_1(), "rule__ResponsibleItemList__UnorderedGroup_1");
				}
			};
		}
		return nameMappings.get(element);
	}
	
	@Override
	protected Collection<FollowElement> getFollowElements(AbstractInternalContentAssistParser parser) {
		try {
			com.mncml.dsl.ui.contentassist.antlr.internal.InternalMncParser typedParser = (com.mncml.dsl.ui.contentassist.antlr.internal.InternalMncParser) parser;
			typedParser.entryRuleModel();
			return typedParser.getFollowElements();
		} catch(RecognitionException ex) {
			throw new RuntimeException(ex);
		}		
	}
	
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}
	
	public MncGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}
	
	public void setGrammarAccess(MncGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
